<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>TIOVX Tutorials: vx_tutorial_image_query.c Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<img src="ti_logo.gif">
<tr bgcolor="#CCCCCC"> 
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<!-- Generated by Doxygen 1.6.1 -->
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="main.html"><span>Main&nbsp;Page</span></a></li>
    </ul>
  </div>
<h1>vx_tutorial_image_query.c</h1><a href="vx__tutorial__image__query_8c.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">*</span>
<a name="l00003"></a>00003 <span class="comment">* Copyright (c) 2017 Texas Instruments Incorporated</span>
<a name="l00004"></a>00004 <span class="comment">*</span>
<a name="l00005"></a>00005 <span class="comment">* All rights reserved not granted herein.</span>
<a name="l00006"></a>00006 <span class="comment">*</span>
<a name="l00007"></a>00007 <span class="comment">* Limited License.</span>
<a name="l00008"></a>00008 <span class="comment">*</span>
<a name="l00009"></a>00009 <span class="comment">* Texas Instruments Incorporated grants a world-wide, royalty-free, non-exclusive</span>
<a name="l00010"></a>00010 <span class="comment">* license under copyrights and patents it now or hereafter owns or controls to make,</span>
<a name="l00011"></a>00011 <span class="comment">* have made, use, import, offer to sell and sell (&quot;Utilize&quot;) this software subject to the</span>
<a name="l00012"></a>00012 <span class="comment">* terms herein.  With respect to the foregoing patent license, such license is granted</span>
<a name="l00013"></a>00013 <span class="comment">* solely to the extent that any such patent is necessary to Utilize the software alone.</span>
<a name="l00014"></a>00014 <span class="comment">* The patent license shall not apply to any combinations which include this software,</span>
<a name="l00015"></a>00015 <span class="comment">* other than combinations with devices manufactured by or for TI (&quot;TI Devices&quot;).</span>
<a name="l00016"></a>00016 <span class="comment">* No hardware patent is licensed hereunder.</span>
<a name="l00017"></a>00017 <span class="comment">*</span>
<a name="l00018"></a>00018 <span class="comment">* Redistributions must preserve existing copyright notices and reproduce this license</span>
<a name="l00019"></a>00019 <span class="comment">* (including the above copyright notice and the disclaimer and (if applicable) source</span>
<a name="l00020"></a>00020 <span class="comment">* code license limitations below) in the documentation and/or other materials provided</span>
<a name="l00021"></a>00021 <span class="comment">* with the distribution</span>
<a name="l00022"></a>00022 <span class="comment">*</span>
<a name="l00023"></a>00023 <span class="comment">* Redistribution and use in binary form, without modification, are permitted provided</span>
<a name="l00024"></a>00024 <span class="comment">* that the following conditions are met:</span>
<a name="l00025"></a>00025 <span class="comment">*</span>
<a name="l00026"></a>00026 <span class="comment">* *       No reverse engineering, decompilation, or disassembly of this software is</span>
<a name="l00027"></a>00027 <span class="comment">* permitted with respect to any software provided in binary form.</span>
<a name="l00028"></a>00028 <span class="comment">*</span>
<a name="l00029"></a>00029 <span class="comment">* *       any redistribution and use are licensed by TI for use only with TI Devices.</span>
<a name="l00030"></a>00030 <span class="comment">*</span>
<a name="l00031"></a>00031 <span class="comment">* *       Nothing shall obligate TI to provide you with source code for the software</span>
<a name="l00032"></a>00032 <span class="comment">* licensed and provided to you in object code.</span>
<a name="l00033"></a>00033 <span class="comment">*</span>
<a name="l00034"></a>00034 <span class="comment">* If software source code is provided to you, modification and redistribution of the</span>
<a name="l00035"></a>00035 <span class="comment">* source code are permitted provided that the following conditions are met:</span>
<a name="l00036"></a>00036 <span class="comment">*</span>
<a name="l00037"></a>00037 <span class="comment">* *       any redistribution and use of the source code, including any resulting derivative</span>
<a name="l00038"></a>00038 <span class="comment">* works, are licensed by TI for use only with TI Devices.</span>
<a name="l00039"></a>00039 <span class="comment">*</span>
<a name="l00040"></a>00040 <span class="comment">* *       any redistribution and use of any object code compiled from the source code</span>
<a name="l00041"></a>00041 <span class="comment">* and any resulting derivative works, are licensed by TI for use only with TI Devices.</span>
<a name="l00042"></a>00042 <span class="comment">*</span>
<a name="l00043"></a>00043 <span class="comment">* Neither the name of Texas Instruments Incorporated nor the names of its suppliers</span>
<a name="l00044"></a>00044 <span class="comment">*</span>
<a name="l00045"></a>00045 <span class="comment">* may be used to endorse or promote products derived from this software without</span>
<a name="l00046"></a>00046 <span class="comment">* specific prior written permission.</span>
<a name="l00047"></a>00047 <span class="comment">*</span>
<a name="l00048"></a>00048 <span class="comment">* DISCLAIMER.</span>
<a name="l00049"></a>00049 <span class="comment">*</span>
<a name="l00050"></a>00050 <span class="comment">* THIS SOFTWARE IS PROVIDED BY TI AND TI&apos;S LICENSORS &quot;AS IS&quot; AND ANY EXPRESS</span>
<a name="l00051"></a>00051 <span class="comment">* OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES</span>
<a name="l00052"></a>00052 <span class="comment">* OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.</span>
<a name="l00053"></a>00053 <span class="comment">* IN NO EVENT SHALL TI AND TI&apos;S LICENSORS BE LIABLE FOR ANY DIRECT, INDIRECT,</span>
<a name="l00054"></a>00054 <span class="comment">* INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING,</span>
<a name="l00055"></a>00055 <span class="comment">* BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,</span>
<a name="l00056"></a>00056 <span class="comment">* DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY</span>
<a name="l00057"></a>00057 <span class="comment">* OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE</span>
<a name="l00058"></a>00058 <span class="comment">* OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED</span>
<a name="l00059"></a>00059 <span class="comment">* OF THE POSSIBILITY OF SUCH DAMAGE.</span>
<a name="l00060"></a>00060 <span class="comment">*</span>
<a name="l00061"></a>00061 <span class="comment">*/</span>
<a name="l00062"></a>00062 
<a name="l00063"></a>00063 
<a name="l00064"></a>00064 
<a name="l00100"></a>00100 <span class="preprocessor">#include &lt;stdio.h&gt;</span>
<a name="l00101"></a>00101 <span class="preprocessor">#include &lt;VX/vx.h&gt;</span>
<a name="l00102"></a>00102 <span class="preprocessor">#include &lt;<a class="code" href="bmp__rd__wr_8h.html">bmp_rd_wr.h</a>&gt;</span>
<a name="l00103"></a>00103 <span class="preprocessor">#include &lt;<a class="code" href="utility_8h.html">utility.h</a>&gt;</span>
<a name="l00104"></a>00104 
<a name="l00106"></a><a class="code" href="vx__tutorial__image__query_8c.html#a8118656bb5a60090a1dbffa402168438">00106</a> <span class="preprocessor">#define IN_FILE_NAME       &quot;colors.bmp&quot;</span>
<a name="l00107"></a>00107 <span class="preprocessor"></span>
<a name="l00111"></a><a class="code" href="vx__tutorial__image__query_8c.html#a399d33511e4fca5b42322b28f85d93f7">00111</a> <span class="keywordtype">void</span> <a class="code" href="vx__tutorial__image__query_8c.html#a399d33511e4fca5b42322b28f85d93f7" title="Tutorial Entry Point.">vx_tutorial_image_query</a>()
<a name="l00112"></a>00112 {
<a name="l00120"></a>00120     vx_context context;
<a name="l00121"></a>00121     vx_image image;
<a name="l00124"></a>00124     printf(<span class="stringliteral">&quot; vx_tutorial_image_query: Tutorial Started !!! \n&quot;</span>);
<a name="l00125"></a>00125 
<a name="l00133"></a>00133     context = vxCreateContext();
<a name="l00136"></a>00136     printf(<span class="stringliteral">&quot; Loading file %s ...\n&quot;</span>, <a class="code" href="vx__tutorial__image__load__save_8c.html#a8118656bb5a60090a1dbffa402168438" title="Input file name.">IN_FILE_NAME</a>);
<a name="l00137"></a>00137 
<a name="l00145"></a>00145     image = <a class="code" href="utility_8h.html#af8e9cbbd49ab0dec7850267224548cd6" title="Create a image data object given BMP filename as input.">create_image_from_file</a>(context, <a class="code" href="vx__tutorial__image__load__save_8c.html#a8118656bb5a60090a1dbffa402168438" title="Input file name.">IN_FILE_NAME</a>, vx_false_e);
<a name="l00148"></a>00148     vxSetReferenceName((vx_reference)image, <span class="stringliteral">&quot;MY_IMAGE&quot;</span>);
<a name="l00149"></a>00149 
<a name="l00157"></a>00157     <a class="code" href="utility_8h.html#ade45042efce712b30cf8254a6c90b3bc" title="Show attributes of previously created image.">show_image_attributes</a>(image);
<a name="l00166"></a>00166     vxReleaseImage(&amp;image);
<a name="l00177"></a>00177     vxReleaseContext(&amp;context);
<a name="l00180"></a>00180     printf(<span class="stringliteral">&quot; vx_tutorial_image_query: Tutorial Done !!! \n&quot;</span>);
<a name="l00181"></a>00181     printf(<span class="stringliteral">&quot; \n&quot;</span>);
<a name="l00182"></a>00182 }
<a name="l00183"></a>00183 
<a name="l00184"></a>00184 <span class="preprocessor">#define MAX_ATTRIBUTE_NAME (32u)</span>
<a name="l00185"></a>00185 <span class="preprocessor"></span>
<a name="l00195"></a><a class="code" href="vx__tutorial__image__query_8c.html#ade45042efce712b30cf8254a6c90b3bc">00195</a> <span class="keywordtype">void</span> <a class="code" href="utility_8h.html#ade45042efce712b30cf8254a6c90b3bc" title="Show attributes of previously created image.">show_image_attributes</a>(vx_image image)
<a name="l00196"></a>00196 {
<a name="l00197"></a>00197     vx_uint32 width=0, height=0, ref_count=0;
<a name="l00198"></a>00198     vx_df_image df=0;
<a name="l00199"></a>00199     vx_size num_planes=0, size=0;
<a name="l00200"></a>00200     vx_enum color_space=0, channel_range=0, memory_type=0;
<a name="l00201"></a>00201     vx_char *ref_name=NULL;
<a name="l00202"></a>00202     <span class="keywordtype">char</span> df_name[MAX_ATTRIBUTE_NAME];
<a name="l00203"></a>00203     <span class="keywordtype">char</span> color_space_name[MAX_ATTRIBUTE_NAME];
<a name="l00204"></a>00204     <span class="keywordtype">char</span> channel_range_name[MAX_ATTRIBUTE_NAME];
<a name="l00205"></a>00205     <span class="keywordtype">char</span> memory_type_name[MAX_ATTRIBUTE_NAME];
<a name="l00206"></a>00206     <span class="keywordtype">char</span> ref_name_invalid[MAX_ATTRIBUTE_NAME];
<a name="l00207"></a>00207 
<a name="l00215"></a>00215     vxQueryImage(image, VX_IMAGE_WIDTH, &amp;width, <span class="keyword">sizeof</span>(vx_uint32));
<a name="l00216"></a>00216     vxQueryImage(image, VX_IMAGE_HEIGHT, &amp;height, <span class="keyword">sizeof</span>(vx_uint32));
<a name="l00217"></a>00217     vxQueryImage(image, VX_IMAGE_FORMAT, &amp;df, <span class="keyword">sizeof</span>(vx_df_image));
<a name="l00218"></a>00218     vxQueryImage(image, VX_IMAGE_PLANES, &amp;num_planes, <span class="keyword">sizeof</span>(vx_size));
<a name="l00219"></a>00219     vxQueryImage(image, VX_IMAGE_SIZE, &amp;size, <span class="keyword">sizeof</span>(vx_size));
<a name="l00220"></a>00220     vxQueryImage(image, VX_IMAGE_SPACE, &amp;color_space, <span class="keyword">sizeof</span>(vx_enum));
<a name="l00221"></a>00221     vxQueryImage(image, VX_IMAGE_RANGE, &amp;channel_range, <span class="keyword">sizeof</span>(vx_enum));
<a name="l00222"></a>00222     vxQueryImage(image, VX_IMAGE_MEMORY_TYPE, &amp;memory_type, <span class="keyword">sizeof</span>(vx_enum));
<a name="l00225"></a>00225     vxQueryReference((vx_reference)image, VX_REFERENCE_NAME, &amp;ref_name, <span class="keyword">sizeof</span>(vx_char*));
<a name="l00226"></a>00226     vxQueryReference((vx_reference)image, VX_REFERENCE_COUNT, &amp;ref_count, <span class="keyword">sizeof</span>(vx_uint32));
<a name="l00227"></a>00227 
<a name="l00228"></a>00228     <span class="keywordflow">switch</span>(df)
<a name="l00229"></a>00229     {
<a name="l00230"></a>00230         <span class="keywordflow">case</span> VX_DF_IMAGE_VIRT:
<a name="l00231"></a>00231             strncpy(df_name, <span class="stringliteral">&quot;VX_DF_IMAGE_VIRT&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00232"></a>00232             <span class="keywordflow">break</span>;
<a name="l00233"></a>00233         <span class="keywordflow">case</span> VX_DF_IMAGE_RGB:
<a name="l00234"></a>00234             strncpy(df_name, <span class="stringliteral">&quot;VX_DF_IMAGE_RGB&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00235"></a>00235             <span class="keywordflow">break</span>;
<a name="l00236"></a>00236         <span class="keywordflow">case</span> VX_DF_IMAGE_RGBX:
<a name="l00237"></a>00237             strncpy(df_name, <span class="stringliteral">&quot;VX_DF_IMAGE_RGBX&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00238"></a>00238             <span class="keywordflow">break</span>;
<a name="l00239"></a>00239         <span class="keywordflow">case</span> VX_DF_IMAGE_NV12:
<a name="l00240"></a>00240             strncpy(df_name, <span class="stringliteral">&quot;VX_DF_IMAGE_NV12&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00241"></a>00241             <span class="keywordflow">break</span>;
<a name="l00242"></a>00242         <span class="keywordflow">case</span> VX_DF_IMAGE_NV21:
<a name="l00243"></a>00243             strncpy(df_name, <span class="stringliteral">&quot;VX_DF_IMAGE_NV21&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00244"></a>00244             <span class="keywordflow">break</span>;
<a name="l00245"></a>00245         <span class="keywordflow">case</span> VX_DF_IMAGE_UYVY:
<a name="l00246"></a>00246             strncpy(df_name, <span class="stringliteral">&quot;VX_DF_IMAGE_UYVY&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00247"></a>00247             <span class="keywordflow">break</span>;
<a name="l00248"></a>00248         <span class="keywordflow">case</span> VX_DF_IMAGE_YUYV:
<a name="l00249"></a>00249             strncpy(df_name, <span class="stringliteral">&quot;VX_DF_IMAGE_YUYV&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00250"></a>00250             <span class="keywordflow">break</span>;
<a name="l00251"></a>00251         <span class="keywordflow">case</span> VX_DF_IMAGE_IYUV:
<a name="l00252"></a>00252             strncpy(df_name, <span class="stringliteral">&quot;VX_DF_IMAGE_IYUV&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00253"></a>00253             <span class="keywordflow">break</span>;
<a name="l00254"></a>00254         <span class="keywordflow">case</span> VX_DF_IMAGE_YUV4:
<a name="l00255"></a>00255             strncpy(df_name, <span class="stringliteral">&quot;VX_DF_IMAGE_YUV4&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00256"></a>00256             <span class="keywordflow">break</span>;
<a name="l00257"></a>00257         <span class="keywordflow">case</span> VX_DF_IMAGE_U8:
<a name="l00258"></a>00258             strncpy(df_name, <span class="stringliteral">&quot;VX_DF_IMAGE_U8&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00259"></a>00259             <span class="keywordflow">break</span>;
<a name="l00260"></a>00260         <span class="keywordflow">case</span> VX_DF_IMAGE_U16:
<a name="l00261"></a>00261             strncpy(df_name, <span class="stringliteral">&quot;VX_DF_IMAGE_U16&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00262"></a>00262             <span class="keywordflow">break</span>;
<a name="l00263"></a>00263         <span class="keywordflow">case</span> VX_DF_IMAGE_S16:
<a name="l00264"></a>00264             strncpy(df_name, <span class="stringliteral">&quot;VX_DF_IMAGE_S16&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00265"></a>00265             <span class="keywordflow">break</span>;
<a name="l00266"></a>00266         <span class="keywordflow">case</span> VX_DF_IMAGE_U32:
<a name="l00267"></a>00267             strncpy(df_name, <span class="stringliteral">&quot;VX_DF_IMAGE_U32&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00268"></a>00268             <span class="keywordflow">break</span>;
<a name="l00269"></a>00269         <span class="keywordflow">case</span> VX_DF_IMAGE_S32:
<a name="l00270"></a>00270             strncpy(df_name, <span class="stringliteral">&quot;VX_DF_IMAGE_S32&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00271"></a>00271             <span class="keywordflow">break</span>;
<a name="l00272"></a>00272         <span class="keywordflow">default</span>:
<a name="l00273"></a>00273             strncpy(df_name, <span class="stringliteral">&quot;VX_DF_IMAGE_UNKNOWN&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00274"></a>00274             <span class="keywordflow">break</span>;
<a name="l00275"></a>00275     }
<a name="l00276"></a>00276 
<a name="l00277"></a>00277     <span class="keywordflow">switch</span>(color_space)
<a name="l00278"></a>00278     {
<a name="l00279"></a>00279         <span class="keywordflow">case</span> VX_COLOR_SPACE_NONE:
<a name="l00280"></a>00280             strncpy(color_space_name, <span class="stringliteral">&quot;VX_COLOR_SPACE_NONE&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00281"></a>00281             <span class="keywordflow">break</span>;
<a name="l00282"></a>00282         <span class="keywordflow">case</span> VX_COLOR_SPACE_BT601_525:
<a name="l00283"></a>00283             strncpy(color_space_name, <span class="stringliteral">&quot;VX_COLOR_SPACE_BT601_525&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00284"></a>00284             <span class="keywordflow">break</span>;
<a name="l00285"></a>00285         <span class="keywordflow">case</span> VX_COLOR_SPACE_BT601_625:
<a name="l00286"></a>00286             strncpy(color_space_name, <span class="stringliteral">&quot;VX_COLOR_SPACE_BT601_625&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00287"></a>00287             <span class="keywordflow">break</span>;
<a name="l00288"></a>00288         <span class="keywordflow">case</span> VX_COLOR_SPACE_BT709:
<a name="l00289"></a>00289             strncpy(color_space_name, <span class="stringliteral">&quot;VX_COLOR_SPACE_BT709&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00290"></a>00290             <span class="keywordflow">break</span>;
<a name="l00291"></a>00291         <span class="keywordflow">default</span>:
<a name="l00292"></a>00292             strncpy(color_space_name, <span class="stringliteral">&quot;VX_COLOR_SPACE_UNKNOWN&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00293"></a>00293             <span class="keywordflow">break</span>;
<a name="l00294"></a>00294     }
<a name="l00295"></a>00295 
<a name="l00296"></a>00296     <span class="keywordflow">switch</span>(channel_range)
<a name="l00297"></a>00297     {
<a name="l00298"></a>00298         <span class="keywordflow">case</span> VX_CHANNEL_RANGE_FULL:
<a name="l00299"></a>00299             strncpy(channel_range_name, <span class="stringliteral">&quot;VX_CHANNEL_RANGE_FULL&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00300"></a>00300             <span class="keywordflow">break</span>;
<a name="l00301"></a>00301         <span class="keywordflow">case</span> VX_CHANNEL_RANGE_RESTRICTED:
<a name="l00302"></a>00302             strncpy(channel_range_name, <span class="stringliteral">&quot;VX_CHANNEL_RANGE_RESTRICTED&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00303"></a>00303             <span class="keywordflow">break</span>;
<a name="l00304"></a>00304         <span class="keywordflow">default</span>:
<a name="l00305"></a>00305             strncpy(channel_range_name, <span class="stringliteral">&quot;VX_CHANNEL_RANGE_UNKNOWN&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00306"></a>00306             <span class="keywordflow">break</span>;
<a name="l00307"></a>00307     }
<a name="l00308"></a>00308 
<a name="l00309"></a>00309     <span class="keywordflow">switch</span>(memory_type)
<a name="l00310"></a>00310     {
<a name="l00311"></a>00311         <span class="keywordflow">case</span> VX_MEMORY_TYPE_NONE:
<a name="l00312"></a>00312             strncpy(memory_type_name, <span class="stringliteral">&quot;VX_MEMORY_TYPE_NONE&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00313"></a>00313             <span class="keywordflow">break</span>;
<a name="l00314"></a>00314         <span class="keywordflow">case</span> VX_MEMORY_TYPE_HOST:
<a name="l00315"></a>00315             strncpy(memory_type_name, <span class="stringliteral">&quot;VX_MEMORY_TYPE_HOST&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00316"></a>00316             <span class="keywordflow">break</span>;
<a name="l00317"></a>00317         <span class="keywordflow">default</span>:
<a name="l00318"></a>00318             strncpy(memory_type_name, <span class="stringliteral">&quot;VX_MEMORY_TYPE_UNKNOWN&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00319"></a>00319             <span class="keywordflow">break</span>;
<a name="l00320"></a>00320     }
<a name="l00321"></a>00321 
<a name="l00322"></a>00322     <span class="keywordflow">if</span>(ref_name==NULL)
<a name="l00323"></a>00323     {
<a name="l00324"></a>00324         strncpy(ref_name_invalid, <span class="stringliteral">&quot;INVALID_REF_NAME&quot;</span>, MAX_ATTRIBUTE_NAME);
<a name="l00325"></a>00325         ref_name = &amp;ref_name_invalid[0];
<a name="l00326"></a>00326     }
<a name="l00327"></a>00327 
<a name="l00328"></a>00328     printf(<span class="stringliteral">&quot; VX_TYPE_IMAGE: %s, %d x %d, %d plane(s), %d B, %s %s %s %s, %d refs\n&quot;</span>,
<a name="l00329"></a>00329         ref_name,
<a name="l00330"></a>00330         width,
<a name="l00331"></a>00331         height,
<a name="l00332"></a>00332         num_planes,
<a name="l00333"></a>00333         size,
<a name="l00334"></a>00334         df_name,
<a name="l00335"></a>00335         color_space_name,
<a name="l00336"></a>00336         channel_range_name,
<a name="l00337"></a>00337         memory_type_name,
<a name="l00338"></a>00338         ref_count
<a name="l00339"></a>00339         );
<a name="l00340"></a>00340 }
</pre></div></div>

<html>
<table bordercolor="#FFFFFF" bgcolor="#FFFFFF" width="100%">
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF">
        <hr align="left" noshade size="1">
      </td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000"><b><i>
        &copy Copyright 2017 Texas Instruments Incorporated. All rights reserved. </i></b></font></td>
</tr>
<tr bgcolor="#CCCCCC">
      <td bgcolor="#FFFFFF"><font face="Verdana, Arial, Helvetica, sans-serif" size="1" color="#000000">
        Document generated by <b><i> doxygen </i></b> 1.6.1
  </font></td>
</tr>
</table>
